Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 592864 - games-engines/openmw-0.40.0: version bump
Summary: games-engines/openmw-0.40.0: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2016-09-04 12:06 UTC by eroen
Modified: 2017-02-18 22:34 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
openmw-0.40.0.ebuild (openmw-0.40.0.ebuild,3.31 KB, text/plain)
2016-09-04 12:15 UTC, eroen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description eroen 2016-09-04 12:06:07 UTC
OpenMW 0.40.0 was released:
https://openmw.org/2016/openmw-0-40-0-released/
Comment 1 eroen 2016-09-04 12:15:55 UTC
Created attachment 444946 [details]
openmw-0.40.0.ebuild

Ebuild changes:
- Bump to EAPI=6, drop games.eclass
- I was unable to find any references of OFL licence
- Added default-on qt5 use flag. qt5 is only required for the CS and the launcher/installer. The launcher/installer is only required to generate config files for first launch. That can also be done manually with a few commands. These are documented with elog
- Updated/verified dependencies. (I have not verified the use flags for openscenegraph)
- Stop installing licence files
- Use system tinyxml headers in stead of the bundled ones
- Remove redundant cmake options

--- openmw-0.39.0.ebuild	2016-09-01 16:33:08.748717972 +0200
+++ openmw-0.40.0.ebuild	2016-09-04 14:03:21.062998446 +0200
@@ -2,53 +2,69 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
-inherit eutils gnome2-utils cmake-utils games
+EAPI=6
+inherit gnome2-utils cmake-utils
 
 DESCRIPTION="An open source reimplementation of TES III: Morrowind"
 HOMEPAGE="http://openmw.org/"
-SRC_URI="https://github.com/OpenMW/openmw/archive/${P}.tar.gz"
+SRC_URI="https://github.com/OpenMW/openmw/archive/${P%_*}.tar.gz"
 
-LICENSE="GPL-3 MIT BitstreamVera OFL-1.1"
+LICENSE="GPL-3 MIT BitstreamVera ZLIB"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="doc devtools"
+IUSE="doc devtools +qt5"
 
+# 0.37.0: >=media-video/ffmpeg-0.9 is required for swresample
 RDEPEND="
 	>=dev-games/openscenegraph-3.3.4[ffmpeg,jpeg,png,qt5,sdl,svg,truetype,zlib]
 	|| ( media-libs/libtxc_dxtn x11-drivers/ati-drivers x11-drivers/nvidia-drivers )
-	app-arch/unshield
 	>=dev-games/mygui-3.2.2
-	>=dev-libs/boost-1.56.0-r1
-	dev-libs/tinyxml
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	media-libs/freetype:2
+	>=dev-libs/boost-1.56.0-r1[threads]
+	dev-libs/tinyxml[stl]
 	media-libs/libsdl2[joystick,opengl,X,video]
 	media-libs/openal
-	>=sci-physics/bullet-2.80
-	virtual/ffmpeg
+	>=sci-physics/bullet-2.83
+	>=media-video/ffmpeg-0.9
 	virtual/opengl
-	devtools? ( dev-qt/qtxmlpatterns:5 )"
+	qt5? ( app-arch/unshield
+		dev-qt/qtcore:5
+		dev-qt/qtnetwork:5
+		dev-qt/qtopengl:5
+		dev-qt/qtwidgets:5 )"
 DEPEND="${RDEPEND}
 	virtual/pkgconfig
-	doc? ( app-doc/doxygen media-gfx/graphviz )"
+	doc? ( app-doc/doxygen
+		dev-python/sphinx
+		media-gfx/graphviz )"
 
 S=${WORKDIR}/${PN}-${P}
 
+src_prepare() {
+	default
+
+	# We don't install license files
+	sed -e '/LICDIR/d' \
+		-i CMakeLists.txt || die
+	# Use the system tinyxml headers
+	sed -e 's/"tinyxml.h"/<tinyxml.h>/g' \
+		-e 's/"tinystr.h"/<tinystr.h>/g' \
+		-i extern/oics/ICSPrerequisites.h || die
+}
+
 src_configure() {
+	use devtools && ! use qt5 && elog "'qt5' USE flag is disabled, 'openmw-cs' will not be installed"
+
 	local mycmakeargs=(
-		-DBINDIR="${GAMES_BINDIR}"
-		$(cmake-utils_use_build devtools BSATOOL)
-		$(cmake-utils_use_build devtools ESMTOOL)
-		$(cmake-utils_use_build devtools OPENCS)
+		-DBUILD_BSATOOL=$(usex devtools)
+		-DBUILD_ESMTOOL=$(usex devtools)
+		-DBUILD_OPENCS=$(usex devtools $(usex qt5))
+		-DBUILD_NIFTEST=$(usex devtools)
+		-DBUILD_LAUNCHER=$(usex qt5)
+		-DBUILD_WIZARD=$(usex qt5)
 		-DBUILD_UNITTESTS=OFF
-		-DDATADIR="${GAMES_DATADIR}"/${PN}
+		-DGLOBAL_DATA_PATH=/usr/share
 		-DICONDIR="/usr/share/icons/hicolor/256x256/apps"
-		-DLIBDIR="$(games_get_libdir)"
-		-DMORROWIND_DATA_FILES="${GAMES_DATADIR}"/morrowind-data
-		-DOPENMW_RESOURCE_FILES="${GAMES_DATADIR}"/${PN}/resources
-		-DGLOBAL_CONFIG_PATH="${GAMES_SYSCONFDIR}"
+		-DMORROWIND_DATA_FILES="/usr/share/morrowind-data"
 		-DUSE_SYSTEM_TINYXML=ON
 		-DDESIRED_QT_VERSION=5
 	)
@@ -68,32 +84,42 @@
 
 src_install() {
 	cmake-utils_src_install
-	dodoc README.md
 
-	# about 47k files, dodoc seems to have trouble
+	# about 43k files, dodoc seems to have trouble
 	if use doc ; then
 		dodir "/usr/share/doc/${PF}"
 		mv "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
 			"${D}/usr/share/doc/${PF}/" || die
 	fi
-
-	prepgamesdirs
 }
 
 pkg_preinst() {
-	games_pkg_preinst
 	gnome2_icon_savelist
 }
 
 pkg_postinst() {
-	games_pkg_postinst
 	gnome2_icon_cache_update
 
-	elog "You need the original Morrowind Data files. If you haven't"
+	elog "You need the original Morrowind data files. If you haven't"
 	elog "installed them yet, you can install them straight via the"
 	elog "installation wizard which is the officially"
 	elog "supported method (either by using the launcher or by calling"
 	elog "'openmw-wizard' directly)."
+
+	if ! use qt5; then
+		elog
+		elog "'qt5' USE flag is disabled, 'openmw-launcher' and"
+		elog "'openmw-wizard' are not available. You are on your own for"
+		elog "making the Morrowind data files available and pointing"
+		elog "openmw at them."
+		elog
+		elog "Additionally; you must import the Morrowind.ini file before"
+		elog "running openmw with the Morrowind data files for the first"
+		elog "time. Typically this can be done like so:"
+		elog
+		elog "    mkdir -p ~/.config/openmw"
+		elog "    openmw-iniimporter /path/to/Morrowind.ini ~/.config/openmw/openmw.cfg"
+	fi
 }
 
 pkg_postrm() {
Comment 2 Karol Herbst 2017-01-29 17:17:25 UTC
there is 0.41.0 now
Comment 3 Andreas Sturmlechner gentoo-dev 2017-02-18 22:34:28 UTC
(In reply to eroen from comment #0)
> OpenMW 0.40.0 was released:
> https://openmw.org/2016/openmw-0-40-0-released/

Thanks so much for your contribution, this is now in tree as 0.41.0 with few changes.